From cb1463428814e1b779cd7234ff990612ee150bf2 Mon Sep 17 00:00:00 2001
From: Francesco Faraone <ffaraone@gaa9.com>
Date: Thu, 23 Jun 2016 13:30:44 +0200
Subject: [PATCH] fix writeRequestData

---
 cupsconnection.c | 4 ++--
 setup.py         | 2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/cupsconnection.c b/cupsconnection.c
index 2906311..3201aaf 100644
--- a/cupsconnection.c
+++ b/cupsconnection.c
@@ -2052,7 +2052,7 @@ static PyObject *
 Connection_writeRequestData (Connection *self, PyObject *args, PyObject *kwds)
 {
   static char *kwlist[] = { "buffer", "length", NULL };
-  PyObject *buffer_obj;
+  PyByteArrayObject *buffer_obj;
   char *buffer;             /* string from python */
   char *data;               /* data to send */
   int length;
@@ -2066,7 +2066,7 @@ Connection_writeRequestData (Connection *self, PyObject *args, PyObject *kwds)
    * Assign result to buffer
    */
 
-  buffer = PyBytes_AsString (buffer_obj);
+  buffer = PyBytes_AsString ((PyObject*)buffer_obj);
 
   /*
    * Allocate memory and duplicate buffer
diff --git a/setup.py b/setup.py
index 0ac2bd0..6fb3cbf 100644
--- a/setup.py
+++ b/setup.py
@@ -35,7 +35,7 @@ EPSON-Stylus-D78 usb://EPSON/Stylus%20D78
 
 from distutils.core import setup, Extension
 import sys
-VERSION="1.9.73"
+VERSION="1.9.74"
 libraries=["cups"]
 
 if sys.platform == "darwin" or sys.platform.startswith("freebsd"):
-- 
2.7.4 (Apple Git-66)

